#!/bin/bash

trusty()
{
    return
}

xenial()
{
    return
}

bionic()
{
    cd /usr/src/buildbot-scripts/docker/bionic || return
    cp ../../travis2bash.sh .
    docker build -t pybm-build-bionic .
}

focal()
{
    return
}

cores=$(grep -E '^cpu cores' /proc/cpuinfo |head -1|cut -d: -f2|tr -d '[:space:]')
mem=$(sed -E 's/^MemTotal: +([0-9]+) kB/\1/p;d' < /proc/meminfo)
mempercore=$(((mem/1024-4096)/cores))

trusty
xenial
bionic
focal
